Bug 1278290 - SELinux is preventing wine-preloader from 'mmap_zero' accesses on the memprotect Unknown.
SELinux is preventing wine-preloader from 'mmap_zero' accesses on the memprot...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:7774f653e3da691a306c93c01e6...
:
: 1317810 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-05 02:56 EST by Mikhail
Modified: 2016-03-15 05:44 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-10 04:33:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail 2015-11-05 02:56:29 EST
Description of problem:
SELinux is preventing wine-preloader from 'mmap_zero' accesses on the memprotect Unknown.

*****  Plugin mmap_zero (53.1 confidence) suggests   *************************

If you do not think wine-preloader should need to mmap low memory in the kernel.
Then you may be under attack by a hacker, this is a very dangerous access.
Do
contact your security administrator and report this issue.

*****  Plugin catchall_boolean (42.6 confidence) suggests   ******************

If you want to allow mmap to low allowed
Then you must tell SELinux about this by enabling the 'mmap_low_allowed' boolean.
You can read 'None' man page for more details.
Do
setsebool -P mmap_low_allowed 1

*****  Plugin catchall (5.76 confidence) suggests   **************************

If you believe that wine-preloader should be allowed mmap_zero access on the Unknown memprotect by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep wine-preloader /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Objects                Unknown [ memprotect ]
Source                        wine-preloader
Source Path                   wine-preloader
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-147.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.2.2-300.fc23.x86_64+debug #1 SMP
                              Wed Sep 30 01:21:51 UTC 2015 x86_64 x86_64
Alert Count                   4
First Seen                    2015-10-03 20:19:54 YEKT
Last Seen                     2015-10-04 13:07:13 YEKT
Local ID                      39382be8-7d5f-42d2-b9db-9528c37d0947

Raw Audit Messages
type=AVC msg=audit(1443946033.593:8477): avc:  denied  { mmap_zero } for  pid=30189 comm="wine-preloader" scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=memprotect permissive=0


Hash: wine-preloader,unconfined_t,unconfined_t,memprotect,mmap_zero

Version-Release number of selected component:
selinux-policy-3.13.1-147.fc23.noarch

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.2.5-300.fc23.x86_64+debug
type:           libreport

Potential duplicate: bug 665665
Comment 1 Miroslav Grepl 2015-11-10 04:33:41 EST
*****  Plugin catchall_boolean (42.6 confidence) suggests   ******************

If you want to allow mmap to low allowed
Then you must tell SELinux about this by enabling the 'mmap_low_allowed' boolean.
You can read 'None' man page for more details.
Do
setsebool -P mmap_low_allowed 1
Comment 2 Alex Villacís Lasso 2015-11-17 20:45:14 EST
Description of problem:
Start any windows program with wine.

Version-Release number of selected component:
selinux-policy-3.13.1-154.fc23.noarch

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.2.5-300.fc23.i686+PAE
type:           libreport
Comment 3 Jeong Junggyu 2016-03-15 05:44:14 EDT
*** Bug 1317810 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.